#ifndef WIIMOTE_H
#define WIIMOTE_H

#include "mythinputinterface.h"
#include <bluetooth/bluetooth.h>
#include <cwiid.h>
#include <QThread>

class Wiimote : public QThread
{
    Q_OBJECT
  public:
    Wiimote(MythInputManagerInterface * inputManager, cwiid_bdinfo infoWiimote, int remoteId);
    ~Wiimote();
  signals:
    void onDisconnected(Wiimote * wiimote);

  protected:
    void run();
  private:
    cwiid_bdinfo m_infoWiimote;
    MythInputManagerInterface * m_inputManager;
    int m_remoteId;
  
    
};

#endif // WIIMOTE_H
